Update Scs Config

Update Scs Config
Update security content service configuration

Update the global configuration for the security content service. This includes the connectivity mode setting which controls connectivity to cloud services. The _revision field is required in the request payload. Obtain the current _revision by issuing a GET request first. If the provided _revision does not match the current revision, the request will be rejected with a 409 Conflict error. Note: If connectivity_mode_changeable is false, any attempt to modify the connectivity_mode field will be rejected with a 409 Conflict error. Check the connectivity_mode_changeable field in the GET response before attempting to update.

Request
URI
PUT
https://{api_host}/ssp/security-content/config
COPY
Request Body
ScsConfig of type(s) application/json
Required  
This request body class requires all of the following: ManagedResource , InlineScsConfig1
{
    "connectivity_mode": "DISCONNECTED",
    "_revision": 1
}
Authentication
This operation uses the following authentication methods.
Responses
200

Successful response.

Returns ScsConfig of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineScsConfig1
{
    "id": "scs-config",
    "connectivity_mode": "DISCONNECTED",
    "connectivity_mode_changeable": true,
    "_create_time": 1751433673000,
    "_create_user": "admin",
    "_last_modified_user": "admin",
    "_last_modified_time": 1751433673000,
    "_revision": 2
}

400

Bad request - invalid configuration or missing _revision

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


409

Conflict - _revision mismatch or connectivity_mode cannot be changed

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
"Error Object"
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-all-airgap"]
                
Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/security-content/config